<div *ngIf="address" class="mt-md-0 mt-4">
  <h1>{{ address.name }}</h1>
  <address>{{ address.address }}</address>
  <p>{{ address.latitude }} | {{ address.longiture }}</p>
  <div ngbDropdown class="d-inline-block">
    <button class="btn btn-outline-primary" id="manage" ngbDropdownToggle>
      Manage
    </button>
    <div ngbDropdownMenu aria-labelledby="dropdownBasic1">
      <button ngbDropdownItem routerLink="edit">Edit</button>
      <button
        ngbDropdownItem
        (click)="onAddToFavorite()"
        *ngIf="!isFavorite && isAuthenticated"
      >
        Add to favorite
      </button>
      <button ngbDropdownItem (click)="onRemove()">
        {{ isFavorite ? "Remove from favorites" : "Remove" }}
      </button>
    </div>
  </div>
  <div style="height: 300px;" class="mt-3">
    <app-address-location
      [coordinate]="[address.latitude, address.longiture]"
      [addMode]="false"
    ></app-address-location>
  </div>
</div>
